testing::TestWithParam< T > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::TestWithParam< T >:

## Additional Inherited Members

Public Types inherited from testing::WithParamInterface< T >
typedef T | ParamType
Public Member Functions inherited from testing::Test
virtual | ~Test ()
Public Member Functions inherited from testing::WithParamInterface< T >
virtual | ~WithParamInterface ()
Static Public Member Functions inherited from testing::Test
static void | SetUpTestSuite ()
static void | TearDownTestSuite ()
static void | TearDownTestCase ()
static void | SetUpTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | IsSkipped ()
static bool | HasFailure ()
static void | RecordProperty (const std::string &key, const std::string &value)
static void | RecordProperty (const std::string &key, int value)
Static Public Member Functions inherited from testing::WithParamInterface< T >
static const ParamType & | GetParam ()
Protected Member Functions inherited from testing::Test
| Test ()
virtual void | SetUp ()
virtual void | TearDown ()

## Detailed Description

### template<typename T>
class testing::TestWithParam< T >

Definition at line 16505 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h